## ros-galactic-librealsense2 2.51.1

=== CMakeLists.txt ===
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)
project(librealsense2 LANGUAGES CXX C)

# Allow librealsense2 and all of the nested project to include the main repo folder
set(REPO_ROOT ${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${REPO_ROOT})

include(CMake/lrs_options.cmake)
include(CMake/connectivity_check.cmake)
#Deprecation message, should be removed in future releases
if(${FORCE_LIBUVC} OR ${FORCE_WINUSB_UVC} OR ${ANDROID_USB_HOST_UVC})
    MESSAGE(DEPRECATION "FORCE_LIBUVC, FORCE_WINUSB_UVC and ANDROID_USB_HOST_UVC are deprecated, use FORCE_RSUSB_BACKEND instead")
    set(FORCE_RSUSB_BACKEND ON)
endif()

# Checking Internet connection, as TM2 needs to download the FW from amazon cloud
if(BUILD_WITH_TM2 AND NOT INTERNET_CONNECTION)
    message(WARNING "No internet connection, disabling BUILD_WITH_TM2")
    set(BUILD_WITH_TM2 OFF)
endif()

# Checking Internet connection, as DEPTH CAM needs to download the FW from amazon cloud
if(IMPORT_DEPTH_CAM_FW AND NOT INTERNET_CONNECTION)
    message(WARNING "No internet connection, disabling IMPORT_DEPTH_CAM_FW")
    set(IMPORT_DEPTH_CAM_FW OFF)
endif()

if (BUILD_PC_STITCHING AND NOT BUILD_GLSL_EXTENSIONS)
    MESSAGE(STATUS "BUILD_PC_STITCHING explicitely depends on BUILD_GLSL_EXTENSIONS, set it ON")
    SET(BUILD_GLSL_EXTENSIONS ON)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/CMake)

# include librealsense general configuration
include(CMake/global_config.cmake)


config_cxx_flags()

# include os specific macros
# macro definition located at "CMake/global_config.cmake"
include(CMake/include_os.cmake)

# set os specific configuration flags
# macro definition located at "CMake/<OS>_config.cmake"
os_set_flags()

# set global configuration flags
# macro definition located at "CMake/global_config.cmake"
global_set_flags()

if(BUILD_SHARED_LIBS)
    add_library(${LRS_TARGET} SHARED "")
else()
    add_library(${LRS_TARGET} STATIC "")
endif()

# set library version
set_target_properties(${LRS_TARGET} PROPERTIES VERSION ${REALSENSE_VERSION_STRING} SOVERSION "${REALSENSE_VERSION_MAJOR}.${REALSENSE_VERSION_MINOR}")

include(include/CMakeLists.txt)
include(src/CMakeLists.txt)
include(third-party/CMakeLists.txt)
include(common/utilities/CMakeLists.txt)

# configure the project according to OS specific requirments
# macro definition located at "CMake/<OS>_config.cmake"
os_target_config()

# global project configuration
# macro definition located at "CMake/global_config.cmake"
global_target_config()

include(CMake/install_config.cmake)

add_subdirectory(wrappers)
if ( ( BUILD_EXAMPLES OR BUILD_PC_STITCHING ) AND BUILD_GLSL_EXTENSIONS )
    find_package(glfw3 3.3 QUIET)
    if(NOT TARGET glfw)
        message(STATUS "GLFW 3.3 not found; using internal version")
        set(GLFW_INSTALL ON CACHE BOOL "" FORCE)
        add_subdirectory(third-party/glfw)
    endif()
    add_subdirectory(src/gl)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
    add_subdirectory(tools)
elseif(BUILD_TOOLS)
    add_subdirectory(tools)
endif()

if(BUILD_UNIT_TESTS OR BUILD_LEGACY_LIVE_TEST)
    add_subdirectory(unit-tests)
endif()

if(BUILD_NETWORK_DEVICE)
    add_subdirectory(src/ethernet)
    add_subdirectory(src/compression)
endif()

if(BUILD_WITH_TM2)
    add_tm2()
endif()

if(IMPORT_DEPTH_CAM_FW)
    add_subdirectory(common/fw)
endif()

include(CMake/embedd_udev_rules.cmake)

=== common/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.

set(COMMON_SRC
    "${CMAKE_CURRENT_LIST_DIR}/animated.h"
    "${CMAKE_CURRENT_LIST_DIR}/float2.h"
    "${CMAKE_CURRENT_LIST_DIR}/float3.h"
    "${CMAKE_CURRENT_LIST_DIR}/float4.h"
    "${CMAKE_CURRENT_LIST_DIR}/matrix4.h"
    "${CMAKE_CURRENT_LIST_DIR}/rect.h"
    "${CMAKE_CURRENT_LIST_DIR}/rendering.h"
    "${CMAKE_CURRENT_LIST_DIR}/model-views.h"
    "${CMAKE_CURRENT_LIST_DIR}/model-views.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/notifications.h"
    "${CMAKE_CURRENT_LIST_DIR}/notifications.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/calibration-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/calibration-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/viewer.h"
    "${CMAKE_CURRENT_LIST_DIR}/viewer.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-window.h"
    "${CMAKE_CURRENT_LIST_DIR}/ux-window.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-alignment.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-alignment.h"
    "${CMAKE_CURRENT_LIST_DIR}/opengl3.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/opengl3.h"
    "${CMAKE_CURRENT_LIST_DIR}/rs-config.h"
    "${CMAKE_CURRENT_LIST_DIR}/rs-config.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/os.h"
    "${CMAKE_CURRENT_LIST_DIR}/os.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/fw-update-helper.h"
    "${CMAKE_CURRENT_LIST_DIR}/fw-update-helper.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/metadata-helper.h"
    "${CMAKE_CURRENT_LIST_DIR}/metadata-helper.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/output-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/output-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/skybox.h"
    "${CMAKE_CURRENT_LIST_DIR}/skybox.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/measurement.h"
    "${CMAKE_CURRENT_LIST_DIR}/measurement.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/on-chip-calib.h"
    "${CMAKE_CURRENT_LIST_DIR}/on-chip-calib.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/decompress-huffman.h"
    "${CMAKE_CURRENT_LIST_DIR}/updates-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/updates-model.cpp"
    )

set(SW_UPDATE_FILES
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/http-downloader.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/http-downloader.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/dev-updates-profile.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/dev-updates-profile.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/versions-db-manager.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/versions-db-manager.cpp"
    )

set(REFLECTIVITY_FILES
    "${CMAKE_CURRENT_LIST_DIR}/reflectivity/reflectivity.h"
    "${CMAKE_CURRENT_LIST_DIR}/reflectivity/reflectivity.cpp"
    )

set(UTILITIES_FILES
    "${CMAKE_CURRENT_LIST_DIR}/utilities/imgui/wrap.h"
    "${CMAKE_CURRENT_LIST_DIR}/utilities/imgui/wrap.cpp"
    )

set(COMMON_SRC
    ${COMMON_SRC}
    ${SW_UPDATE_FILES}
    ${REFLECTIVITY_FILES}
    ${UTILITIES_FILES}
    )

=== include/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/rs.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/rs.h"

        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_types.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_context.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_device.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_frame.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_option.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_processing.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_record_playback.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_sensor.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_internal.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_pipeline.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/h/rs_advanced_mode_command.h"

        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_types.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_context.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_device.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_serializable_device.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_export.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_frame.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_processing.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_record_playback.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_sensor.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_options.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_internal.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/hpp/rs_pipeline.hpp"

        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/rsutil.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/rs_advanced_mode.h"
        "${CMAKE_CURRENT_LIST_DIR}/librealsense2/rs_advanced_mode.hpp"
        
)

include(${CMAKE_CURRENT_LIST_DIR}/librealsense2/utilities/CMakeLists.txt)

=== src/libusb/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/context-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/context-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/handle-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/endpoint-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/interface-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/interface-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/device-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/device-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/messenger-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/messenger-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/request-libusb.h"
        "${CMAKE_CURRENT_LIST_DIR}/request-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/enumerator-libusb.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/libusb.h"
)

=== tools/depth-quality/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(RealsenseToolsDepthQuality)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

include_directories(${CMAKE_BINARY_DIR})

if(${BUILD_EASYLOGGINGPP})
include(../../include/librealsense2/utilities/easylogging/easyloggingpp.cmake)
include_directories( ${ELPP_INCLUDES} )
endif()

include(../../common/CMakeLists.txt)

SET(DELAYED 
    realsense2d.dll
    realsense2-gld.dll
    realsense2.dll
    realsense2-gl.dll
)

if(BUILD_GRAPHICAL_EXAMPLES)
    set(RS_QUALITY_TOOL_CPP
        ${COMMON_SRC}
        rs-depth-quality.cpp
        depth-quality-model.h
        depth-quality-model.cpp
        depth-metrics.h
        ../../common/realsense-ui-advanced-mode.h
        ../../third-party/imgui/imgui.cpp
        ../../third-party/imgui/imgui_draw.cpp
        ../../third-party/imgui/imgui_impl_glfw.cpp
        ../../third-party/imgui/imgui-fonts-karla.hpp
        ../../third-party/imgui/imgui-fonts-fontawesome.hpp
        ../../third-party/glad/glad.c
        ../../third-party/tinyfiledialogs/tinyfiledialogs.c
        ../../third-party/tinyfiledialogs/tinyfiledialogs.h
        )

    if(WIN32)
        add_executable(rs-depth-quality WIN32 ${RS_QUALITY_TOOL_CPP}
                ${ELPP_SOURCES}
                ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
                ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc
                ../../common/windows-app-bootstrap.cpp)

        set_property(TARGET rs-depth-quality PROPERTY CXX_STANDARD 11)
        source_group("Resources" FILES
                ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
                ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc)

        source_group("3rd Party" FILES
            ../../third-party/tinyfiledialogs/tinyfiledialogs.c
            ../../third-party/tinyfiledialogs/tinyfiledialogs.h
            ../../third-party/imgui/imgui.cpp
            ../../third-party/imgui/imgui_draw.cpp
            ../../third-party/imgui/imgui_impl_glfw.cpp
            ../../third-party/imgui/imgui-fonts-karla.hpp
            ../../third-party/imgui/imgui-fonts-fontawesome.hpp)

        source_group("Utils" FILES
            depth-quality-model.h
            depth-quality-model.cpp
            depth-metrics.h
            ${COMMON_SRC})

        include_directories(../../common  ../../third-party
                            ../../third-party/imgui
                            ../../third-party/glad
                            ../../third-party/tclap/include
                            ../../third-party/tinyfiledialogs
                            ${CMAKE_CURRENT_SOURCE_DIR}/res/)

        #list(TRANSFORM DELAYED PREPEND " /DELAYLOAD:")
        PREPEND(DELAYED " /DELAYLOAD:" ${DELAYED})
        #infoValue(DELAYED)
        string(REPLACE ";" " " LD_FLAGS_STR "${DELAYED}")
        set_target_properties(rs-depth-quality PROPERTIES LINK_FLAGS "${LD_FLAGS_STR}")

    else()
        add_executable(rs-depth-quality 
        ${RS_QUALITY_TOOL_CPP}
        ${ELPP_SOURCES}
        )

        include_directories(../../common  ../../third-party
                            ../../third-party/imgui
                            ../../third-party/glad
                            ../../third-party/tinyfiledialogs
                            ../../third-party/tclap/include)
    endif()

    source_group("SW-Update" FILES ${SW_UPDATE_FILES})

    if (CHECK_FOR_UPDATES)
        message( STATUS "Check for updates capability added to realsense-depth-quality" )
        add_dependencies(rs-depth-quality libcurl)
        target_link_libraries(rs-depth-quality curl)
    endif()
    
    target_link_libraries(rs-depth-quality ${DEPENDENCIES}
                                           ${GTK3_LIBRARIES}
                                           Threads::Threads
                                           realsense2-gl)

    if (IMPORT_DEPTH_CAM_FW)
        add_definitions(-DINTERNAL_FW)
        target_link_libraries(rs-depth-quality fw)
    endif()
    
    


    set_target_properties (rs-depth-quality PROPERTIES
        FOLDER Tools
    )

    target_include_directories(rs-depth-quality PRIVATE ../../src)

    install(
        TARGETS

        rs-depth-quality

        RUNTIME DESTINATION
        ${CMAKE_INSTALL_BINDIR}
    )
endif()

=== include/librealsense2/utilities/concurrency/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2022 Intel Corporation. All Rights Reserved.

target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/concurrency.h"
        "${CMAKE_CURRENT_LIST_DIR}/dispatcher.cpp")

=== include/librealsense2/utilities/easylogging/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2022 Intel Corporation. All Rights Reserved.

target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/easyloggingpp.h")

=== include/librealsense2/utilities/time/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2022 Intel Corporation. All Rights Reserved.

target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/common.h"
        "${CMAKE_CURRENT_LIST_DIR}/periodic-timer.h"
        "${CMAKE_CURRENT_LIST_DIR}/stopwatch.h"
        "${CMAKE_CURRENT_LIST_DIR}/timer.h"
        "${CMAKE_CURRENT_LIST_DIR}/waiting-on.h"
        "${CMAKE_CURRENT_LIST_DIR}/work-week.h"
        "${CMAKE_CURRENT_LIST_DIR}/work-week.cpp")

=== debian/changelog ===
ros-galactic-librealsense2 (2.51.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- LibRS ROS Team <librs.ros@intel.com>  Sat, 10 Sep 2022 22:34:58 -0000

=== debian/control ===
Source: ros-galactic-librealsense2
Section: misc
Priority: optional
Maintainer: LibRS ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), dkms, libssl-dev, libudev-dev, libusb-1.0-0-dev, pkg-config, ros-galactic-ament-cmake, udev, ros-galactic-ros-workspace
Homepage: https://github.com/IntelRealSense/librealsense/
Standards-Version: 3.9.2

Package: ros-galactic-librealsense2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ros-workspace
Description: Library for controlling and capturing data from the Intel(R) RealSense(TM) D400 devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-librealsense2//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
